
header * {
	box-sizing: border-box;
}

#searchForm {
	width:100%;
}

.header-logo {
	max-width: 300px;
	width:22%;
	padding: 0;
}

.header-logo a {
	padding: 0;
}
.header-logo img {
	width: 100%;
}

.mobile-logo {
	display: none;
}
.nav-menu-btn {
	display: none;
	color: #fff;
	padding: 5px;
}
.nav-menu-btn i {
	font-size: 1.6rem;
}

/* nav links */
.nav-menu {
	width: 100%;
	display: flex;
	align-items: center;
	padding-left: 1rem;
	padding-right: 2.5rem;
}
.nav-menu .main-nav {
	display: flex;
	flex-grow: 1;
}
.nav-links {
	flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: flex-start;
	margin-left: 1rem;
    gap: 0.5rem;
}
.nav-menu.lang {
	margin-left: 5rem;
}
.nav-item {
    cursor: pointer;
    position: relative;
	line-height: normal;
}
.nav-item.categories-drop {
	position: static;
}
.nav-item > a {
    font-size: 1.1rem;
    padding: 8px;
    color: #fff;
	text-decoration: none;
	display: flex;
	align-items: center;
	gap: .25rem;
	flex-wrap: wrap;
	justify-content: center;
}
.nav-item.lang > a {
	font-size: 1rem;
}
.nav-item.active::after {
    opacity: 1;
    visibility: visible;
    bottom: -6px;
}
.nav-item:hover > a {
    color: rgba(255, 255, 255, 0.8);
}
.nav-item:hover::after {
    bottom: -6px;
    opacity: 1;
    visibility: visible;
    background-color: rgba(255, 255, 255, 0.5);
}
.nav-item.nav-drop:hover::after {
    opacity: 0;
    visibility: hidden;
}
.nav-drop a i {
	margin-top: 3px;
    font-size: 0.7rem;
}
.nav-drop .drop-btn {
    display: none;
    padding: 0 10px;
    color: var(--darkBlue);
}
.nav-drop .drop-btn i {
    font-size: 1.2rem;
    color: #fff;
}
.nav-drop .drop-menu {
    position: absolute;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s all;
    background-color: #113157;
	padding: 0.25rem;
	max-height: 80vh;
	overflow-y: auto;
    z-index: 9;
    min-width: 150px;
	box-shadow: 0 4px 12px rgba(0,0,0,0.2);
}
.nav-item:hover > .drop-menu {
    opacity: 1;
    visibility: visible;
}
.drop-menu .drop-item {
    cursor: pointer;
    padding: 4px 6px;
	position: relative;
}
.drop-item > a {
    display: block;
    font-size: 1rem;
    color: #FFF;
    padding: 4px;
	text-align: left;
}
.categories.drop-menu .drop-item a { padding: 2px 4px; }
.drop-item:hover > a {
    color: #4896f5 !important;
	text-decoration: none;
}
.drop-item:hover > a span {
	text-decoration: underline;
}
.hidden-check {
    display: none;
}
.nav-btn {
    cursor: pointer;
    padding: 6px;
	width: auto !important;
}
.nav-btn i {
    font-size: 1.5rem;
    color: #fff;
}
.nav-btn.close-nav {
    display: none;
    width: 30px;
    height: 30px;
    padding: 4px;
	margin-right: 10px;
}
.nav-btn.close-nav i {
	font-size: 1.7rem;
}
.nav-btn.open-nav i {
    font-size: 1.8rem;
}
.header-btns {
    display: none;
}

.mobile-menu-header {
	display: none;
}
.site-header .mobile-menu-header .logo-img {
	max-width: 250px;
	padding: 5px;
}
.categories .drop-item.new-cat a {
	color: red;
}

.header-controls {
	display: flex;
	align-items: center;
	gap: 1rem;
}

.header-search {
	display: flex;
	align-items: center;
	width: 100%;
	max-width: 250px;
	height: 35px;
	background: none;
    border: 1px solid #FFF;
    border-radius: 13px;
}
.header-search input {
	height: 100%;
    background: none;
    border: none;
    outline: none;
    padding-left: 10px;
    min-width: 0;
    flex: 1;
	font-size: .75rem;
	color: #fff;
}
.header-search input::placeholder {
	color: rgba(255,255,255,0.7);
}
.header-search .search-btn {
	height: 100%;
    padding: 0 8px;
    width: auto;
    background: none;
    border: none;
	color: #fff;
}

.searchbutton {
	width: 20px; 
	height: 20px; 
	background: url(https://img.resultclothing.net/icons/search-icon.png);
}

.header-search .field.search {
	width:69%;
	background: none;
	font-size: 12px;
    outline: none;
    border: 2px solid #fff !important;
    border-radius: 15px !important;
    padding: 8px !important;
    color: #fff !important;
}

/* languages menu */
.language-menu-btn {
    border: 1px solid #ccc;
    display: flex;
    gap: 0.45rem;
    align-items: center;
    width: fit-content;
    padding: 0.4rem 0.45rem;
    border-radius: 5px;
    cursor: pointer;
    position: relative;
	background-color: #f2f2f2;
}

.language-menu-btn img {
    display: block;
}

.language-menu-btn .options {
    display: none;
    position: absolute;
    right: 0;
    top: 32.5px;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.2), 0 1px 2px -1px rgb(0 0 0 / 0.2);
}
.language-menu-btn .options.active {
    display: block;
}

.language-menu-btn .option {
    display: flex;
    gap: 1rem;
    align-items: center;
    padding: 0.5rem 0.75rem;
    background-color: #fff;
    width: 100%;
    border: none;
    transition: background-color .2s ease;
	cursor: pointer;
}
.language-menu-btn .option:hover {
    background-color: #d9d9d9;
}

/* nav responsive */
@media only screen and (max-width: 1250px) {
    .header-search .search-box {
        max-width: 160px !important;
    }
    .nav-item > a {
        font-size: 1rem !important;
		padding: 4px;
    }
	.nav-item.lang > a {
		font-size: 0.9rem !important;
	}
	.nav-menu {
		padding-right: 1rem;
	}
	
}
@media only screen and (max-width: 1000px) {
	.header-search .search-box {
        max-width: 140px !important;
    }
}
@media only screen and (max-width: 970px) {
	header {
		padding-inline: 1rem;
		justify-content: space-between;
	}
	.mobile-logo {
		display: block;
	}
	.nav-menu-btn {
		display: block;
	}
	.header-logo {
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: space-between;
		background-color: #113157;
		height: var(--headerHeight, 88px);
		padding-inline: 1rem;
		max-width: none;
	}
	.header-logo img {
		max-width: 200px;
	}
    .nav-menu {
		padding: 0;
        z-index: 9;
        position: fixed;
        width: 100vw;
		height: 100vh;
        inset: 0;
        transform: translateY(-100%);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        transition: transform .2s ease;
        background-color: #153b6a;
    }
	#navOpen:checked ~ .nav-menu {
		transform: translateY(0);
	}
	.nav-menu .main-nav {
		flex-direction: column-reverse;
		padding-top: 2rem;
		gap: 1rem;
		width: 100%;
		flex-grow: 0;
	}
	.header-search {
		max-width: none;
		width: 80%;
	}
    .header-search .search-box {
        margin: 0 auto;
        max-width: none !important;
        width: 80%;
    }
	.header-controls {
		flex-direction: column-reverse;
	}
    .search-box .search-btn {
        padding: 0 10px;
    }
    .nav-links {
        flex-direction: column;
        gap: 1rem;
        background: none;
		width: 80%;
		margin: 0 auto;
		max-height: 70vh;
		overflow-y: auto;	
    }
    .nav-links .nav-item {
        display: block;
        width: 100%;
        text-align: left;
    }
	.nav-item > a {
		display: block;
	}
    .nav-item > a,
	.nav-item.lang > a {
        padding: 4px;
        font-size: 1.1rem !important;
    }
    .nav-item::after {
        content: none;
    }
    .nav-item > .drop-menu {
        display: none;
        position: static;
        opacity: 1;
        visibility: visible;
        width: 95%;
        margin-left: auto;
		background: none;
		box-shadow: none;
    }
    .nav-drop a {
        display: flex;
        gap: 0.25rem;
        justify-content: flex-start;
        align-items: center;
    }
    .nav-drop .fa-chevron-down {
        display: none;
    }
    .nav-drop .drop-btn {
        display: flex;
    }
	.drop-menu a {
		font-size: 1rem;
	}
    #dropBtn1:checked ~ .drop-menu {
        display: block;
    }
	#dropBtn1:checked ~ .categories-dropdown {
        display: flex;
    }
	#dropBtn2:checked ~ .drop-menu {
        display: block;
    }
	#dropBtn3:checked ~ .drop-menu {
        display: block;
    }
    #navOpen:checked ~ .header-content {
        transform: translateY(0);
    }
	.drop-item:hover > a {
		background: none;
		color: #FFF;
	}
    .nav-btn.close-nav {
        display: inline-block;
    }
    .header-btns {
        display: flex;
        gap: 0.5rem;
        align-items: center;
    }
    .header-btns .open-search i {
        transform: translateY(-1px);
    }
	header.site-header > .wrapper {
        justify-content: space-between;
    }
	header.site-header .logo-img {
		max-width: 250px;
	}
	.menu-item.main-item {
		font-size: 1rem;
		font-weight: normal;
	}
	.categories-section {
		padding-left: 1.5rem;
	}
	.nav-drop a {
		color: #FFF !important;
		font-weight: normal;
	}
}

@media only screen and (max-width: 500px) {
	.header-search {
		width: 90%;
	}
	.nav-links {
		width: 90%;
	}
	.nav-item > a, .nav-item.lang > a {
		font-size: 1rem !important;
	}
	.header-btns .open-search i {
		font-size: 1.3rem;
	}
	.nav-btn.open-nav i {
		font-size: 1.6rem;
	}
	.nav-item > a,
	.nav-item.lang > a {
		font-size: 1.1rem !important;
	}
	.nav-btn.open-search { display: none; }
	.site-header .mobile-menu-header .logo-img { max-width: 200px; }
}

